System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.HttpWebClientProtocol

If you are building an XML Web service client, then a proxy class that derives indirectly or directly from must be created for the XML Web service. When the XML Web service client calls using SOAP, the proxy class must derive from , which derives from . , in turn, derives from .

To communicate with an XML Web service, create a proxy class that derives indirectly or directly from for the XML Web service you want to call. Instead of creating the proxy class manually, use the Web Services Description Language tool (Wsdl.exe) to create a proxy class for a given XML Web service's service description. When a proxy class is generated for the SOAP protocol, synchronous calls to XML Web service methods are made via the method, whereas asynchronous calls are made using the method and the method.

Specifies the class client that proxies derive from when using SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.IAsyncResult `` `` `` ``

  Typically, you would not call the method directly, unless you were building your own proxy class for an XML Web service.

  A proxy class generated by the Web Services Description Language tool (Wsdl.exe) from a Service Description exposes the XML Web service methods as names derived from the proxy class to call the XML Web service methods synchronously. To call the XML Web service methods asynchronously, two additional methods are added to the proxy class for each XML Web service method, one with the Begin prefix added to the name of the XML Web service method and one with the End prefix added.

  The proxy class calls the method to start an asynchronous invocation call to the XML Web service method. For example, if an XML Web service exposes an XML Web service method named Add, the proxy class contains a method named BeginAdd, for starting an invocation to the XML Web service method. Within the code for the BeginAdd, a call is made to the method and the results are placed into the expected return type for Add.

  The is used to find the custom attributes which may have been added to the method, such as . provides additional information about the derived method that is required for the SOAP protocol.

  is passed into and is included in the that is returned from the method. The parameter can be used to pass information about the context of the asynchronous call, specified in the parameter, to the delegate that handles the result.

  Starts an asynchronous invocation of an XML Web service method using SOAP.

  An that is passed to the method to obtain the return values from the remote method call.

  The name of the XML Web service method in the derived class that is invoking the method. An array of objects containing the parameters to pass to the XML Web service. The order of the values in the array correspond to the order of the parameters in the calling method of the derived class. The delegate to call when the asynchronous invoke is complete. If is null, the delegate is not called. Extra information supplied by the caller. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  An XML Web service client can dynamically bind to an XML Web service other than the one referenced in the proxy class using the method. Typically, the property refers to the base address of the XML Web service. However, before invoking the method, set the property to a URL of a discovery document. The method attempts to find a match in the discovery document to the binding defined in the proxy class and then dynamically bind to it. If successful, subsequent method calls are directed to the XML Web service described in the discovery document.

  If the proxy class is built using the Web Services Description Language tool (Wsdl.exe), the proxy class defines the binding implemented by the XML Web service methods it invokes using the . When an XML Web service implements multiple bindings, Wsdl.exe creates a proxy class for each binding. Applied to each proxy class is a that defines the name of the binding and its namespace. The discovery document you set the property to must contain a reference to an XML Web service that implements the same binding name and namespace, or an exception is thrown.

  Dynamically binds to an XML Web service described in the discovery document at .

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] ``

  Typically, you would not call the method directly, unless you were building your own proxy class for an XML Web service.

  A proxy class generated by the Web Services Description Language tool (Wsdl.exe) for an XML Web service exposes the XML Web service methods as names off of the proxy class for calling the XML Web service methods synchronously. For calling the XML Web service methods asynchronously, two additional methods are added to the proxy class for each XML Web service method, one with the Begin prefix added to the name of the XML Web service method and one with the End prefix added.

  The proxy class calls the method to complete an asynchronous invocation call to the XML Web service method. For example, if an XML Web service exposes an XML Web service method named Add, the proxy class contains a method named EndAdd, for completing an asynchronous invocation of an XML Web service method. Within the code for the EndAdd a call is made to the method and then the results are placed into the expected return type for Add.

  Ends an asynchronous invocation of an XML Web service method using SOAP.

  An array of objects that contains the return value and any by-reference or out parameters of the derived class method.

  The returned from the method. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlReader `` `` To be added.

  Returns an initialized with the property of the parameter.

  A initialized with the property of the parameter.

  A that provides the to initialize the . The initial buffer size of the used by the .
- Method
  System.Net.WebRequest ``

  This method can be overridden to customize the before the XML Web service request is made. For example, you could add a custom header to the request.

  Creates a for the specified .

  The for the specified URI.

  The to use when creating the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlWriter `` `` To be added.

  Returns a initialized with the property of the parameter.

  A initialized with the property of the parameter.

  A that provides the to initialize the . The initial buffer size of the used by the .
- Method
  System.Object[] `` `` a

  Typically, you do not call the method directly, unless you are building your own proxy class for an XML Web service.

  A proxy class generated by the Web Services Description Language tool (Wsdl.exe) for an XML Web service exposes the XML Web service methods as names off of the proxy class. The proxy class calls the method to invoke an XML Web service method call. For example, if an XML Web service exposes an XML Web service method named Add, the proxy class also contains a method named Add. Within the code for the Add method in the proxy class, a synchronous call is made to the XML Web service method through the method and then the results are placed into the expected return type for Add.

  The parameter is used to find the custom attributes that may have been added to the method, such as . provides additional information on the derived method which is required for the SOAP protocol.

  Invokes an XML Web service method synchronously using SOAP.

  An array of objects that contains the return value and any reference or out parameters of the derived class method.

  An array of objects that contains the parameters to pass to the XML Web service. The order of the values in the array corresponds to the order of the parameters in the calling method of the derived class. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Invokes the specified method asynchronously.

  The name of the method to invoke. The parameters to pass to the method. The delegate called when the method invocation has completed.
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added.

  Invokes the specified method asynchronously.

  The name of the method to invoke. The parameters to pass to the method. The delegate called when the method invocation has completed. An object used to pass state information into the delegate.
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Web.Services.Protocols.SoapProtocolVersion.Default)
  System.Runtime.InteropServices.ComVisible(false)
  System.Web.Services.Protocols.SoapProtocolVersion To be added.

  The property is set in the proxy class generated by the Web Services Description Language tool (Wsdl.exe) to by default when a WSDL document for an XML Web service supports SOAP version 1.1. However, when an XML Web service only supports SOAP 1.2, Wsdl.exe sets the property to . To choose the version of the SOAP protocol when generating the proxy class with Wsdl.exe, use the /protocol switch with the SOAP or SOAP12 settings to set the property to and , respectively.

  Gets or sets the version of the SOAP protocol used to make the SOAP request to the XML Web service.

System.Runtime.InteropServices.ComVisible(true)